import type { PropType, CSSProperties, DefineComponent,  ExtractPropTypes } from 'vue';
import type { ScrollPosition, VueNode, LazyLoadComponentPropsFunc } from './interface.ts';
export type LazyLoadComponentProps = Partial<ExtractPropTypes<ReturnType<typeof LazyLoadComponentPropsFunc>>>;
declare const _default: DefineComponent<Partial<ExtractPropTypes<{
    afterLoad: {
        type: PropType<() => void>;
        default: () => void;
    };
    beforeLoad: {
        type: PropType<() => void>;
        default: () => void;
    };
    scrollPosition: {
        type: PropType<ScrollPosition>;
        default: null;
    };
    visibleByDefault: {
        type: BooleanConstructor;
        default: boolean;
    };
    height: {
        type: NumberConstructor;
        default: number;
    };
    width: {
        type: NumberConstructor;
        default: number;
    };
    useIntersectionObserver: {
        type: BooleanConstructor;
        default: boolean;
    };
    threshold: {
        type: NumberConstructor;
        default: number;
    };
    style: {
        type: PropType<Partial<CSSProperties>>;
        default: () => void;
    };
    class: {
        type: StringConstructor;
        default: string;
    };
    delayMethod: {
        type: StringConstructor;
        default: string;
    };
    delayTime: {
        type: NumberConstructor;
        default: number;
    };
    placeholder: {
        type: PropType<VueNode>;
        default: () => void;
    };
}>>>;
export default _default;
